from messagebus import (
    TokenCreator,
    TokenPriority,
)


POS_CONTROLLER_GROUP = "5"

TK_POS_GET_MODEL = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="1",
)

TK_POS_EXECUTEACTION = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="3",
)

TK_POS_SET_MODEL_CUSTOM = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="4",
)

TK_POS_SHOW_DIALOG = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="6",
)

TK_POS_DIALOGRESP = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="7",
)

TK_POS_BUSINESS_BEGIN = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="8",
)

TK_POS_BUSINESS_END = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="9",
)

TK_POS_USER_LOGIN = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="A",
)

TK_POS_USER_PAUSE = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="B",
)

TK_POS_USER_LOGOUT = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="C",
)

TK_POS_USER_OPEN = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="12",
)

TK_POS_ASYNCACTION = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="14",
)

TK_POS_GETSTATE = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="15",
)

TK_POS_GETCONFIG = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="16",
)

TK_POS_LIST_USERS = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="17",
)

TK_POS_GET_POS_LIST = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="19",
)

TK_POS_UPDATEDIALOG = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="1A",
)

TK_POS_GET_USER_SESSIONS_BY_PERIOD = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="1B",
)

TK_POS_START_SERVICE_PERIOD = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="1C",
)

TK_POS_STOP_SERVICE_PERIOD = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="1D",
)

TK_POS_GET_SERVICE_PERIODS = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=POS_CONTROLLER_GROUP,
    number="1E",
)
